Subject: Re: [PATCH] diff-no-index: fix stdin path in subdirectory

From: Junio C Hamano <[email-masked]>
Date: Fri, 08 Aug 2025 09:09:25 -0700

[email-masked] writes:

> Junio C Hamano <[email-masked]> wrote:
>
>> ... there fundamentally is something wrong here.
>
> Thank you for the thorough response and for explaining the
> reasoning / implementation of the more correct patch.
>
>> Would something more direct like the attached patch work?
>
> I am not familiar with the inner workings of Git at all, but I
> cannot think of any problem with this approach. This works for me!

Ah, what I meant was that I did not test the patch, so I did not
know if it solves the problem you observed in your environment and
with your development tools, hence I was asking you to apply it and
test, like you did when you originally noticed the problem ;-)

Thanks.